org.apache.ignite.spi.systemview.view

## Class StripedExecutorTaskView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.StripedExecutorTaskView

    public class StripedExecutorTaskView
    extends Object

`StripedExecutor` task representation for a `SystemView`.

### Constructor Summary

Constructors
Constructor and Description
`StripedExecutorTaskView(StripedExecutor.Stripe stripe, Runnable task)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()`
`int` `stripeIndex()`
`String` `taskName()`
`String` `threadName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StripedExecutorTaskView

    public StripedExecutorTaskView(StripedExecutor.Stripe stripe,
                                   Runnable task)

Parameters:
  `stripe` - Stripe.
  `task` - Task.

### Method Detail

#### stripeIndex

    public int stripeIndex()

Returns:
  Stripe index for task.

#### taskName

    public String taskName()

Returns:
  Task class name.

#### description

    public String description()

Returns:
  Task `toString` representation.

#### threadName

    public String threadName()

Returns:
  Name of the `Thread` executing the `task`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022